import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const InitSignerStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export type InitSignerInstructionAccounts = {
    payer: web3.PublicKey;
    programSigner: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const initSignerInstructionDiscriminator = 3;
export declare function createInitSignerInstruction(accounts: InitSignerInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
