import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
import { UpdateArgs } from '../types/UpdateArgs';
export type UpdateInstructionArgs = {
    updateArgs: UpdateArgs;
};
export declare const UpdateStruct: beet.FixableBeetArgsStruct<UpdateInstructionArgs & {
    instructionDiscriminator: number;
}>;
export type UpdateInstructionAccounts = {
    authority: web3.PublicKey;
    migrationState: web3.PublicKey;
};
export declare const updateInstructionDiscriminator = 2;
export declare function createUpdateInstruction(accounts: UpdateInstructionAccounts, args: UpdateInstructionArgs, programId?: web3.PublicKey): web3.TransactionInstruction;
