import * as web3 from '@solana/web3.js';
import * as beet from '@metaplex-foundation/beet';
import { UnlockMethod } from './UnlockMethod';
export type InitializeArgs = {
    ruleSet: beet.COption<web3.PublicKey>;
    unlockMethod: UnlockMethod;
    collectionSize: number;
};
export declare const initializeArgsBeet: beet.FixableBeetArgsStruct<InitializeArgs>;
