import * as beet from '@metaplex-foundation/beet';
import * as web3 from '@solana/web3.js';
export declare const CloseStruct: beet.BeetArgsStruct<{
    instructionDiscriminator: number;
}>;
export type CloseInstructionAccounts = {
    authority: web3.PublicKey;
    migrationState: web3.PublicKey;
    systemProgram?: web3.PublicKey;
};
export declare const closeInstructionDiscriminator = 1;
export declare function createCloseInstruction(accounts: CloseInstructionAccounts, programId?: web3.PublicKey): web3.TransactionInstruction;
